Package org.jbpm.services.api.model

## Interface ProcessInstanceDesc

- All Known Subinterfaces:
    `ProcessInstanceCustomDesc`, `ProcessInstanceWithVarsDesc`
  All Known Implementing Classes:
    `ProcessInstanceCustomDesc`, `ProcessInstanceDesc`, `ProcessInstanceWithVarsDesc`

      public interface ProcessInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<UserTaskInstanceDesc>` | `getActiveTasks()` | Returns the process instance description active tasks.
    `String` | `getCorrelationKey()` | Returns the process instance description correlation key.
    `Date` | `getDataTimeStamp()` | Returns the process instance description timestamp.
    `String` | `getDeploymentId()` | Returns the process instance description deployment id.
    `Long` | `getId()` | Returns the process instance description id.
    `String` | `getInitiator()` | Returns the process instance description initiator.
    `Long` | `getParentId()` | Returns the process instance description parent id.
    `String` | `getProcessId()` | Returns the process instance description process id.
    `String` | `getProcessInstanceDescription()` | Returns the process instance description.
    `String` | `getProcessName()` | Returns the process instance description process name.
    `String` | `getProcessVersion()` | Returns the process instance description process version.
    `Integer` | `getSlaCompliance()` | Returns the process instance description SLA compliance.
    `Date` | `getSlaDueDate()` | Returns the process instance description SLA due date.
    `Integer` | `getState()` | Returns the process instance description state.

- - ### Method Detail

    - #### getProcessId

          String getProcessId()

      Returns the process instance description process id.
      Returns:
        process id

    - #### getId

          Long getId()

      Returns the process instance description id.
      Returns:
        id

    - #### getProcessName

          String getProcessName()

      Returns the process instance description process name.
      Returns:
        process name

    - #### getState

          Integer getState()

      Returns the process instance description state.
      Returns:
        state

    - #### getDeploymentId

          String getDeploymentId()

      Returns the process instance description deployment id.
      Returns:
        deployment ids

    - #### getDataTimeStamp

          Date getDataTimeStamp()

      Returns the process instance description timestamp.
      Returns:
        timestamp

    - #### getProcessVersion

          String getProcessVersion()

      Returns the process instance description process version.
      Returns:
        process version

    - #### getInitiator

          String getInitiator()

      Returns the process instance description initiator.
      Returns:
        initiator

    - #### getProcessInstanceDescription

          String getProcessInstanceDescription()

      Returns the process instance description.
      Returns:
        description

    - #### getCorrelationKey

          String getCorrelationKey()

      Returns the process instance description correlation key.
      Returns:
        correlation key

    - #### getParentId

          Long getParentId()

      Returns the process instance description parent id.
      Returns:
        parent id

    - #### getSlaDueDate

          Date getSlaDueDate()

      Returns the process instance description SLA due date.
      Returns:
        SLA due date

    - #### getSlaCompliance

          Integer getSlaCompliance()

      Returns the process instance description SLA compliance.
      Returns:
        SLA compliance

    - #### getActiveTasks

          List<UserTaskInstanceDesc> getActiveTasks()

      Returns the process instance description active tasks.
      Returns: